Uploaded image for project: 'Pentaho Data Integration - Kettle'
  1. Pentaho Data Integration - Kettle
  2. PDI-5458

Update Salesforce steps to use the newer WSC framework instead of the deprecated Apache Axis framework

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Severity: Medium
    • Resolution: Fixed
    • Affects Version/s: 4.1.1, 4.1.2, 5.0.0 GA (5.0.0 GA Suite Release), 5.4.0 GA
    • Fix Version/s: 7.0.0 GA
    • Component/s: Step
    • Labels:
      None

      Description

      As per the Salesforce Spring `11 release notes:

      #In API version 21.0, WSC (Web Service Connector) replaces Apache Axis 1.3 as the preferred SOAP Java client framework.
      WSC is an open-source project and contains a command utility that generates Java source and bytecode files from WSDL
      files. The Java samples illustrating use of API calls for the API, and Metadata API have been rewritten in the Web Services
      API Developer's Guide..#

      It would be good to move the Salesforce plugins to use the new framework, for performance and maintainability perspectives.

      Additional Resources:
      http://wiki.developerforce.com/index.php/Introduction_to_the_Force.com_Web_Services_Connector
      http://code.google.com/p/sfdc-wsc/

      API Versions: https://na14.salesforce.com/services/data

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                eteixeira Emanuel Teixeira (Inactive)
                Reporter:
                vej Jevonearth
              • Votes:
                2 Vote for this issue
                Watchers:
                7 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: